Skip to main content

Integration

Integration Object​

FieldTypeDescription
idsnowflakethe integration's unique identifier
organisation_idsnowflakethe integration's organisation id
item_typeobject typethe object type the integration will trigger on
providerproviderthe integration provider
enabledboolwhether the integration is enabled
configurationstringthe integration configuration

Provider​

The provider field contains the integration provider as a string.

ValueDescription
discordDiscord
githubGitHub
gitlabGitLab
jiraJira
mantisbtMantisBT
slackSlack
teamsMicrosoft Teams

Get Integration​

GET /integrations/{integration.id}

Returns the integration object for the given integration id. Requires the MANAGE_ORGANISATION permission for the organisation that owns the integration.

Error Responses​
Status CodeDescription
400Bad request (organisation does not exist)
403Forbidden (user lacks the MANAGE_ORGANISATION permission)
404Not found (integration does not exist)

Update Integration​

PATCH /integrations/{integration.id}

Updates an integration. Requires the MANAGE_ORGANISATION permission for the organisation that owns the integration.

All parameters for this method are optional. Only the fields provided will be updated.

Parameters​
FieldTypeDescription
configurationstringthe integration configuration
enabledboolwhether the integration is enabled
Error Responses​
Status CodeDescription
400Bad request (organisation does not exist)
403Forbidden (user lacks the MANAGE_ORGANISATION permission)
404Not found (integration does not exist)

Sync Integration​

POST /integrations/{integration.id}/sync

Triggers a synchronization for the integration. Requires the MANAGE_ORGANISATION permission for the organisation that owns the integration. The integration must be enabled.

Error Responses​
Status CodeDescription
400Bad request (organisation does not exist or integration is not enabled)
403Forbidden (user lacks the MANAGE_ORGANISATION permission)
404Not found (integration does not exist)